support non-yaboot systems

Bug #46521 reported by Niels Kristian Bech Jensen on 2006-05-25
6
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: ubiquity

I've tried to install Dapper on an OldWorld Powermac G3 with BootX as bootloader from the 20060524.1 Desktop CD. I have no yaboot bootstrap partition which make the installer crash with these messages:

Traceback (most recent call last):
  File "/usr/bin/ubiquity", line 120, in ?
    install(sys.argv[1])
  File "/usr/bin/ubiquity", line 54, in install
    ret = wizard.run()
  File "/usr/lib/python2.4/site-packages/ubiquity/frontend/gtkui.py", line 266, in run
    self.process_step()
  File "/usr/lib/python2.4/site-packages/ubiquity/frontend/gtkui.py", line 739, in process_step
    self.mountpoints_to_summary()
  File "/usr/lib/python2.4/site-packages/ubiquity/frontend/gtkui.py", line 1010, in mountpoints_to_summary
    self.progress_loop()
  File "/usr/lib/python2.4/site-packages/ubiquity/frontend/gtkui.py", line 538, in progress_loop
    raise RuntimeError, "Install failed with exit code %s" % ret
RuntimeError: Install failed with exit code 1

I think the installer should warn me but not crash.

Colin Watson (cjwatson) wrote :

Just for completeness, could you please attach /var/log/installer/syslog to this bug?

But yes, at present the powerpc desktop CD only supports NewWorld PowerMacs and (with luck, and a following wind) CHRP systems that can use yaboot. For other scenarios, and especially if you're supplying your own boot loader from somewhere, the alternate install CD is probably a better place to start.

/var/log/installer/syslog (from installation of daily-live/20060525).

/var/log/partman (from installation of daily-live/20060525).

Simon Law (sfllaw) on 2006-05-25
Changed in ubiquity:
status: Unconfirmed → Confirmed

Right, the logs confirm that it's dying due to no bootstrap partition. We probably need to incorporate nobootloader into ubiquity, or something like that.

MillenniumBug (millenniumbug) wrote :

This bug report is several years old and concerns obsolete versions of Ubuntu. It has now been marked 'invalid'.

If the bug still appears in Ubuntu 10.10, feel free to open a new report.

Changed in ubiquity (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers